<?php
namespace Claromentis\Search\Suggestions;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array();









interface InternalResource
{
    
    
    
    
    
    
    
    
    public static function IsSupportedUrl($url);
    
    
    
    
    
    
    
    public function ProcessUrl($url);
    
    
    
    
    
    
    
    
    public function CheckPermission($url);
    
    
    
    
    
    
    
    public function IsValidUrl($url);
    
    
    
    
    
    
    
    public function PermissionsApply($url);
    
    
    
    
    
    
    
    public function GetObjectDetails($url);
}